Bug 1658374 - failing pofilter tests with latest translations pulled from subscription-manager for rhel8
Summary: failing pofilter tests with latest translations pulled from subscription-mana...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Chris Snyder
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 21:40 UTC by John Sefler
Modified: 2019-06-14 00:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:00:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2018-12-11 21:40:22 UTC
Description of problem:

With the latest pull of subscription-manager translations from https://vendors.zanata.redhat.com/iteration/view/subscription-manager/RHEL-8.0 there are many failed pofilter tests.  I will paste them below.


Version-Release number of selected component (if applicable):
[root@ibm-x3650m4-02-vm-04 ~]# rpm -q subscription-manager
subscription-manager-1.23.8-6.el8.x86_64


How reproducible:


Steps to Reproduce:


Korean (ko) failures.................................................
# (pofilter) printf: Different printf variable: %P
msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%PROG %s [옵션] MANIFEST_FILE"

# (pofilter) unchanged: Consider translating
msgid "<b>Arch:</b>"
msgstr "<b>Arch:</b>"

# (pofilter) startwhitespace: Different whitespace at the start
msgid "\tManifest"
msgstr "매니페스트 "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "\tManifest"
msgstr "매니페스트 "

# (pofilter) tabs: Different tabs
msgid "\tManifest"
msgstr "매니페스트 "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Add an item to the list ({attr})."
msgstr "목록 ({attr})에 항목을 추가합니다. "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Modify or view the addons attribute of the system purpose"
msgstr "시스템 용도의 추가 속성을 변경 또는 표시합니다. "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Modify system purpose role"
msgstr "시스템 용도 역할을 변경합니다. "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Subscription %s is expired"
msgstr "%s 서브스크립션이 만료됨 "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Usage: "
msgstr "사용법 :"

# (pofilter) endwhitespace: Different whitespace at the end
msgid "comma-separated list of hostnames/domains"
msgstr "콤마로 구분된 호스트이름/도메인 목록 "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "use set and unset to define the value for this field"
msgstr "이 필드의 값을 정의하려면 set 및 unset을 사용합니다. "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "{attr} unset."
msgstr "{attr} 설정이 해제되었습니다. "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "{name} not set."
msgstr "{name}이/가 설정되어 있지 않습니다. "



German (de) failures.................................................

# (pofilter) escapes: Escapes in original () don't match escapes in translation ('\tManifest')
msgid "\tManifest"
msgstr "\\tManifest"

# (pofilter) tabs: Different tabs
msgid "\tManifest"
msgstr "\\tManifest"

# (pofilter) startwhitespace: Different whitespace at the start
msgid "\tManifest"
msgstr "\\tManifest"



Chinese (zh_CN) failures.................................................

# (pofilter) escapes: Escapes in original () don't match escapes in translation ('\t清单')
msgid "\tManifest"
msgstr "\\t清单"

# (pofilter) startwhitespace: Different whitespace at the start
msgid "\tManifest"
msgstr "\\t清单"

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Role: "
msgstr "角色:"

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Set {attr} of system purpose"
msgstr "设置系统目的 {attr} "

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Unset {attr} of system purpose"
msgstr "取消设置系统目的 {attr} "

# (pofilter) tabs: Different tabs
msgid "\tManifest"
msgstr "\\t清单"



French (fr) failures.................................................
# (pofilter) endwhitespace: Different whitespace at the end
msgid "Service Level: "
msgstr "Niveau de service :"

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Usage: "
msgstr "Utilisation :"



Spanish (es) failures.................................................

# (pofilter) escapes: Escapes in original () don't match escapes in translation ('\tManifiesto')
msgid "\tManifest"
msgstr "\\tManifiesto"

# (pofilter) tabs: Different tabs
msgid "\tManifest"
msgstr "\\tManifiesto"

# (pofilter) startwhitespace: Different whitespace at the start
msgid "\tManifest"
msgstr "\\tManifiesto"



Japanese (jp) failures.................................................

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Service Level: "
msgstr "サービスレベル:"

# (pofilter) endwhitespace: Different whitespace at the end
msgid "Usage: "
msgstr "使用法:"



Portugese (pt_BR) failures.................................................

# (pofilter) options: Missing or translated option '--unset'
msgid "--unset cannot be used with --set, --add, or --remove"
msgstr "- Por do sol não pode ser usado com --set, --add ou --remove"

Comment 4 John Sefler 2019-01-14 22:53:33 UTC
Automated pofilter tests executed against subscription-manager-1.23.8-13.el8 are now passing.

Moving to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.